﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Newtonsoft.Json;
using TXUMED.Models;

namespace TXUMED.Controllers
{
    public class GraphController : Controller
    {
        public IActionResult Index()
        {
            string jsonData = System.IO.File.ReadAllText(@"C:\Users\sh14\source\repos\TXUMED\TXUMED\wwwroot\shortcomplexresults.json");

            GraphModel results = JsonConvert.DeserializeObject<GraphModel>(jsonData);

            List<ColumnChartData> theRecords = new List<ColumnChartData>();

            foreach (Record record in results.Result.Records)
            {
                theRecords.Add(new ColumnChartData
                {
                    month = record.DisplayedPeriod.ToString("MMMM  yy"),
                    powerUsage = record.TotalUsage,
                    powerUsage2 = 0,
                    highTemp = record.HighTemperature,
                    lowTemp = record.LowTemperature,
                    isEstimated = record.IsEstimated,
                    color = record.IsEstimated ? "Grey" : "Yellow",
                    cost = record.Cost
                });
            }


            ViewBag.dataSource = theRecords;

            var test = results.Result.Records.Select(x => x).Skip(10).Take(10);

            return View(results);
        }
    }
}