﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace TXUMED.Models
{
    public class GraphModel
    {
        public Result Result { get; set; }
        public bool HasErrors { get; set; }
        public object[] Messages { get; set; }
    }

    public class ColumnChartData
    {
        public string month;
        public double powerUsage;
        public double powerUsage2;
        public double highTemp;
        public double lowTemp;
        public string color;
        public bool isEstimated;
        public double cost;
    }

    //public class Rootobject
    //{
    //    public Result Result { get; set; }
    //    public bool HasErrors { get; set; }
    //    public object[] Messages { get; set; }
    //}

    public class Result
    {
        public int TotalPages { get; set; }
        public int TotalRecords { get; set; }
        public int Page { get; set; }
        public int PageSize { get; set; }
        public Record[] Records { get; set; }
    }

    public class Record
    {
        public DateTime DisplayedPeriod { get; set; }
        public DateTime PeriodStart { get; set; }
        public DateTime PeriodEnd { get; set; }
        public bool IsEstimated { get; set; }
        public int DayCount { get; set; }
        public float TotalUsage { get; set; }
        public float Cost { get; set; }
        public string Category { get; set; }
        public string ProductType { get; set; }
        public Lineitem[] LineItems { get; set; }
        public Tooltiplineitem[] TooltipLineItems { get; set; }
        public float LowTemperature { get; set; }
        public float HighTemperature { get; set; }
        public float AverageTemperature { get; set; }
    }

    public class Lineitem
    {
        public float ActualPortion { get; set; }
        public float Percentage { get; set; }
        public Category Category { get; set; }
        public Innercategory InnerCategory { get; set; }
    }

    public class Category
    {
        public string Color { get; set; }
        public string Label { get; set; }
        public string TooltipLabel { get; set; }
        public int Index { get; set; }
    }

    public class Innercategory
    {
        public string Color { get; set; }
        public string Label { get; set; }
        public string TooltipLabel { get; set; }
        public int Index { get; set; }
    }

    public class Tooltiplineitem
    {
        public float ActualPortion { get; set; }
        public float Percentage { get; set; }
        public Category1 Category { get; set; }
        public Innercategory1 InnerCategory { get; set; }
    }

    public class Category1
    {
        public string Color { get; set; }
        public string Label { get; set; }
        public string TooltipLabel { get; set; }
        public int Index { get; set; }
    }

    public class Innercategory1
    {
        public string Color { get; set; }
        public string Label { get; set; }
        public string TooltipLabel { get; set; }
        public int Index { get; set; }
    }
}
